Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class EdgeShape

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.EdgeShape

public class EdgeShape
extends Object

An interface for decorators that return a `Shape` for a specified edge. All edge shapes must be defined so that their endpoints are at (0,0) and (1,0). They will be scaled, rotated and translated into position by the PluggableRenderer.

Author:
  Tom Nelson

Nested Class Summary
`static class` | `EdgeShape.BentLine` An edge shape that renders as a bent-line between the vertex endpoints.
`static class` | `EdgeShape.CubicCurve` An edge shape that renders as a CubicCurve between vertex endpoints.
`static class` | `EdgeShape.Line` An edge shape that renders as a straight line between the vertex endpoints.
`static class` | `EdgeShape.Loop` An edge shape that renders as a loop with its nadir at the center of the vertex.
`static interface` | `EdgeShape.ParallelRendering`
`static class` | `EdgeShape.QuadCurve` An edge shape that renders as a QuadCurve between vertex endpoints.
`static class` | `EdgeShape.SimpleLoop` An edge shape that renders as a loop with its nadir at the center of the vertex.
`static class` | `EdgeShape.Wedge` An edge shape that renders as an isosceles triangle whose apex is at the destination vertex for directed edges, and as a "bowtie" shape for undirected edges.

Field Summary
`protected static Predicate` | `is_self_loop`
`protected static EdgeShape.Loop` | `loop` a convenience instance for other edge shapes to use for self-loop edges where parallel instances will not overlay each other.
`protected static EdgeShape.SimpleLoop` | `simpleLoop` a convenience instance for other edge shapes to use for self-loop edges where parallel instances overlay each other

Constructor Summary
`EdgeShape()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loop

    protected static EdgeShape.Loop loop

  a convenience instance for other edge shapes to use for self-loop edges where parallel instances will not overlay each other.

### is_self_loop

    protected static Predicate is_self_loop

### simpleLoop

    protected static EdgeShape.SimpleLoop simpleLoop

  a convenience instance for other edge shapes to use for self-loop edges where parallel instances overlay each other

Constructor Detail

### EdgeShape

    public EdgeShape()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD